#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1997 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
BUILDPREFIX=${BUILDPREFIX-`pwd`}
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
   shift
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../COMMON/GUESS\;1 UPPER`
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir netpbm
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib


cd $BUILDPREFIX/netpbm
cat $SOURCEDIR/NETPBM/NETPBM_1.GZ\;1 | uncompress | tar xvof -
cd netpbm
(sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/NETPBM/RTR/NETPBM.\;1 | patch -p -s )
test -f $SOURCEDIR/NETPBM/$MACHINE/NETPBM\;1 &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/NETPBM/$MACHINE/NETPBM\;1 | patch -b .rtr -p -s )

case `machname` in
alpha | sun4c|linux)
xutxmkmf
cd libtiff; xutxmkmf; make; make install
cd $SOURCEDIR/NETPBM/PBM\;1; xutxmkmf; make; make install; make install.man
cd $SOURCEDIR/NETPBM/PGM\;1; xutxmkmf; make; make install; make install.man
cd $SOURCEDIR/NETPBM/PPM\;1; xutxmkmf; make; make all; make install; make install.man
cd $SOURCEDIR/NETPBM/PNM\;1; xutxmkmf; make; make all; make install; make install.man
cd ..
cp pbmplus.h $INSTALLSHAREDIR/${SHAREPREFIX}include
;;
*)
xutxmkmf
make Makefiles
make
case `machname` in
sgi | hp700|i386)
ar ts libtiff/libtiff.a
ar ts pbm/libpbm.a
ar ts pgm/libpgm.a
ar ts ppm/libppm.a
ar ts pnm/libpnm.a
make
;;
esac
make install
make install.man
;;
esac

cp libtiff/tiff.h libtiff/tiffio.h $INSTALLSHAREDIR/${SHAREPREFIX}include
chmod 664 $INSTALLSHAREDIR/${SHAREPREFIX}include/*.h
chmod 664 $INSTALLDIR/lib/*.a
mkdir $INSTALLSHAREDIR/netpbm
cp magic $INSTALLSHAREDIR/netpbm

cd ..
cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/netpbm ; fi
